class mediawiki::pri {
  $phpmysql = $osfamily ? {
    'redhat' => 'php-mysql',
    'debian'  => 'php5-mysql',
     default => 'php-mysql',
 }

  Package { $phpmysql:
  ensure => 'present'
 }
  if $osfamily == 'redhat' {
    package { 'php-xml':
     ensure => 'present',
  }
}

class { '::apache':
  docroot => '/var/www/html',
  mpm_module => 'prefork',
  subscribe => Package[$phpmysql],
}

class { '::apache::mod::php': }

  vcsrepo { '/var/www/html':
    ensure => 'present',
    provider => 'git',
    source => "https://github.com/wikimedia/mediawiki.git",
    revision => 'REL1_23',
 }

  file {'/var/www/html/index.html':
    ensure => 'absent',
  }

File['/var/www/html/index.html'] -> Vcsrepo['/var/www/html']
 
class { '::mysql::server':
  root_password => 'traning',
}

class { '::firewall': }

firewall { '000 alow http access':
  port => '80',
  proto => 'tcp',
  action => 'accept',
}

case $operatingsystem {
  /Linux/:  { notify {"powered by linux,": } }
 'Solaris': { notify {"powered soliaris,": } }
  default:  { notify {"Welcome,": } }
}
}




